<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__ble__service__api___i_p_s__definitions" kind="group">
    <compoundname>group_ble_service_api_IPS_definitions</compoundname>
    <title>IPS Definitions and Data Structures</title>
    <innerclass prot="public" refid="structcy__stc__ble__ipss__char__t">cy_stc_ble_ipss_char_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__ipss__char__info__ptr__t">cy_stc_ble_ipss_char_info_ptr_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__ipss__t">cy_stc_ble_ipss_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__ipsc__char__t">cy_stc_ble_ipsc_char_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__ipsc__char__info__ptr__t">cy_stc_ble_ipsc_char_info_ptr_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__ipsc__t">cy_stc_ble_ipsc_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__ips__char__value__t">cy_stc_ble_ips_char_value_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__ips__descr__value__t">cy_stc_ble_ips_descr_value_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__ipss__config__t">cy_stc_ble_ipss_config_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__ipsc__config__t">cy_stc_ble_ipsc_config_t</innerclass>
      <sectiondef kind="enum">
      <memberdef id="group__group__ble__service__api___i_p_s__definitions_1ga24e1ef010b88ea912185acd419b133b9" kind="enum" prot="public" static="no">
        <name>cy_en_ble_ips_char_index_t</name>
        <enumvalue id="group__group__ble__service__api___i_p_s__definitions_1gga24e1ef010b88ea912185acd419b133b9a4fe50ebe3b124b6288dd37b397fe47ba" prot="public">
          <name>CY_BLE_IPS_INDOOR_POSITINING_CONFIG</name>
          <briefdescription>
<para>Set of Characteristic values included in the Indoor Positioning Service AD type. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___i_p_s__definitions_1gga24e1ef010b88ea912185acd419b133b9aafbd86b1fb16960d76f1ef15465b00d4" prot="public">
          <name>CY_BLE_IPS_LATITUDE</name>
          <briefdescription>
<para>WGS84 North coordinate of the device. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___i_p_s__definitions_1gga24e1ef010b88ea912185acd419b133b9a212f3e43c01adf668625b9082167ee21" prot="public">
          <name>CY_BLE_IPS_LONGITUDE</name>
          <briefdescription>
<para>WGS84 East coordinate of the device. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___i_p_s__definitions_1gga24e1ef010b88ea912185acd419b133b9abc2aae8fff2aac79570dcbc83e202945" prot="public">
          <name>CY_BLE_IPS_LOCAL_NORTH_COORDINATE</name>
          <briefdescription>
<para>North coordinate of the device using local coordinate system. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___i_p_s__definitions_1gga24e1ef010b88ea912185acd419b133b9a8e4367d6ad654714bb195da9edc2cfb6" prot="public">
          <name>CY_BLE_IPS_LOCAL_EAST_COORDINATE</name>
          <briefdescription>
<para>East coordinate of the device using local coordinate system. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___i_p_s__definitions_1gga24e1ef010b88ea912185acd419b133b9a59b302f133e76135ed645a24e9de18f7" prot="public">
          <name>CY_BLE_IPS_FLOOR_NUMBER</name>
          <briefdescription>
<para>Describes in which floor the device is installed. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___i_p_s__definitions_1gga24e1ef010b88ea912185acd419b133b9a1f7fff486e93acc3a355f981f525a4c3" prot="public">
          <name>CY_BLE_IPS_ALTITUDE</name>
          <briefdescription>
<para>Altitude of the device. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___i_p_s__definitions_1gga24e1ef010b88ea912185acd419b133b9ad9bb01d8ef5fa869276cfac9713c2d5a" prot="public">
          <name>CY_BLE_IPS_UNCERTAINTY</name>
          <briefdescription>
<para>Uncertainty of the location information the device exposes. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___i_p_s__definitions_1gga24e1ef010b88ea912185acd419b133b9a4598a9d2d176d1dbddd55c17a6646f17" prot="public">
          <name>CY_BLE_IPS_LOCATION_NAME</name>
          <briefdescription>
<para>Name of the location where the device is installed. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___i_p_s__definitions_1gga24e1ef010b88ea912185acd419b133b9ada9c41dfdfac05042089a9ee41c995c7" prot="public">
          <name>CY_BLE_IPS_CHAR_COUNT</name>
          <briefdescription>
<para>Total Count of IPS Characteristics. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_ips_char_index_t: </bold><linebreak />IPS Characteristic indexes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="84" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ips.h" bodystart="72" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ips.h" line="73" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___i_p_s__definitions_1ga7c7818643ae9896d24b4fc92a708de28" kind="enum" prot="public" static="no">
        <name>cy_en_ble_ips_descr_index_t</name>
        <enumvalue id="group__group__ble__service__api___i_p_s__definitions_1gga7c7818643ae9896d24b4fc92a708de28a2c7c6a48880e9840499c8f0b60671bad" prot="public">
          <name>CY_BLE_IPS_CEPD</name>
          <briefdescription>
<para>Characteristic Extended Properties descriptor index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___i_p_s__definitions_1gga7c7818643ae9896d24b4fc92a708de28a71bf85f54a67fb4c0e748b0cbd3f281a" prot="public">
          <name>CY_BLE_IPS_SCCD</name>
          <briefdescription>
<para>Server Characteristic Configuration Descriptor index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___i_p_s__definitions_1gga7c7818643ae9896d24b4fc92a708de28a4617de8a81a3a7ba73b7b8fc34f03f54" prot="public">
          <name>CY_BLE_IPS_DESCR_COUNT</name>
          <briefdescription>
<para>Total Count of Descriptors. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_ips_descr_index_t: </bold><linebreak />IPS Characteristic Descriptors indexes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="92" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ips.h" bodystart="87" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ips.h" line="88" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Contains the IPS specific definitions and data structures used in the IPS API. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>